Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class XDSModifyAssociationElement

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.ElementImpl
          com.novell.nds.dirxml.driver.xds.XDSModifyAssociationElement

All Implemented Interfaces:
  AssociationElementsParent, CommandElement, XDSElement

public class XDSModifyAssociationElement
extends ElementImpl
implements AssociationElementsParent, CommandElement

A `<modify-association>` element.

See Also:
  `XDSCommandDocument.appendModifyAssociationElement()`

Method Summary
`XDSAssociationElement` | `appendAssociationElement(String someText)` Appends a child `<association>` element to this element.
`List` | `childElements()` Returns this element's child elements.
`List` | `extractAssociationElements()` Returns this element's child `<association>` elements.
`String` | `getClassName()` Gets the value of this element's `class-name` attribute.
`String` | `getEventID()` Gets the value of this element's `event-id` attribute.
`String` | `getQualifiedSrcDN()` A method stub for implementing interface `CommandElement`.
`String` | `getSrcDN()` A method stub for implementing interface `CommandElement`.
`String` | `getSrcEntryID()` A method stub for implementing interface `CommandElement`.
`void` | `setEventID(String someID)` Sets this element's `event-id` attribute to `someID`.

Methods inherited from class com.novell.nds.dirxml.driver.xds.ElementImpl
`attributeValueGet, attributeValueGet, attributeValueSet, documentImpl, domDocument, domElement, localName, namespaceName, position, tagName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.novell.nds.dirxml.driver.xds.XDSElement
`attributeValueGet, attributeValueGet, attributeValueSet, domDocument, domElement, localName, namespaceName, position, tagName`

Method Detail

### childElements

    public List childElements()

  Returns this element's child elements.

  Usage Notes:
    The types of objects returned by this method may be extended in the future. Thus, callers should be able to handle object types other than those listed in the returns field below.
  Invocation Context:
    READ

  Specified by:
    `childElements` in interface `AssociationElementsParent`
  Overrides:
    `childElements` in class `ElementImpl`
  Returns:
    a list of two `XDSAssociationElement` and zero or more `NonXDSElement` objects; will not return `null`

### extractAssociationElements

    public List extractAssociationElements()

  Description copied from interface: `AssociationElementsParent`
  Returns this element's child `<association>` elements.

  Invocation Context:
    READ

  Specified by:
    `extractAssociationElements` in interface `AssociationElementsParent`
  Returns:
    a list of two `XDSAssociationElement` objects; will not return `null`

### getEventID

    public String getEventID()

  Description copied from interface: `CommandElement`
  Gets the value of this element's `event-id` attribute.

  Invocation Context:
    READ

  Specified by:
    `getEventID` in interface `CommandElement`
  Returns:
    may return `null`; will not return `""`

### getSrcDN

    public String getSrcDN()

  A method stub for implementing interface `CommandElement`.

  Invocation Context:
    READ

  Specified by:
    `getSrcDN` in interface `CommandElement`
  Returns:
    always returns `null`; will not return `""`

### getQualifiedSrcDN

    public String getQualifiedSrcDN()

  A method stub for implementing interface `CommandElement`.

  Invocation Context:
    READ

  Specified by:
    `getQualifiedSrcDN` in interface `CommandElement`
  Returns:
    always returns `null`; will not return `""`

### getSrcEntryID

    public String getSrcEntryID()

  A method stub for implementing interface `CommandElement`.

  Invocation Context:
    READ

  Specified by:
    `getSrcEntryID` in interface `CommandElement`
  Returns:
    always returns `null`; will not return `""`

### getClassName

    public String getClassName()

  Gets the value of this element's `class-name` attribute.

  Invocation Context:
    READ

  Specified by:
    `getClassName` in interface `CommandElement`
  Returns:
    always returns null

### setEventID

    public void setEventID(String someID)

  Description copied from interface: `CommandElement`
  Sets this element's `event-id` attribute to `someID`.

  Invocation Context:
    WRITE

  Specified by:
    `setEventID` in interface `CommandElement`
  Parameters:
    `someID` - if `null` or `""`, no action is taken

### appendAssociationElement

    public XDSAssociationElement appendAssociationElement(String someText)

  Description copied from interface: `AssociationElementsParent`
  Appends a child `<association>` element to this element. The `<association>` element contains the text `someText`.

  Invocation Context:
    WRITE

  Specified by:
    `appendAssociationElement` in interface `AssociationElementsParent`
  Parameters:
    `someText` - the association value; if `null` or `""`, an empty, child `<association>` element is appended
  Returns:
    will not return `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD